DROP TABLE IMRD_F.EN_MRD120 CASCADE CONSTRAINTS;
--criando a tabela com a PK ID
CREATE TABLE IMRD_F.EN_MRD120
(
    FIIG_4065           VARCHAR2(2048 BYTE),
    INC_4080            VARCHAR2(2048 BYTE),
    MRC_3445            VARCHAR2(2048 BYTE),
    SAC_CDNG_IND_0115   VARCHAR2(2048 BYTE),
    DIML_MRC_IND_0326   VARCHAR2(2048 BYTE),
    PRPTN_EDIT_CD_0762  VARCHAR2(2048 BYTE),
    ISAC_IND_CD_0826    VARCHAR2(2048 BYTE),
    SCR_KEY_CD_1047     VARCHAR2(2048 BYTE),
    RPLY_TBL_DCOD_3845  VARCHAR2(2048 BYTE),
    TAIL_SEQ_NO_4403    VARCHAR2(2048 BYTE),
    FIIG_SEQ_NO_4404    VARCHAR2(2048 BYTE),
    MRC_IND_CD_8450     VARCHAR2(2048 BYTE),
    ID                  NUMBER(19),
    --CAR_ITEM_ID         NUMBER(38), -- vrf se tem necessiade no servcat?
    --ARTIGO_ID           NUMBER(38)  -- vrf se tem necessiade no servcat?
    PRIMARY KEY(ID)
)
TABLESPACE IMRD_FTBL
RESULT_CACHE (MODE DEFAULT)
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
            FLASH_CACHE      DEFAULT
            CELL_FLASH_CACHE DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;

--criando os sinonimos publicos
CREATE OR REPLACE PUBLIC SYNONYM EN_MRD120 FOR IMRD_F.EN_MRD120;

--dropando a sequence
DROP SEQUENCE IMRD_F.SQ_EN_TABL0120;
--criando a sequence
CREATE SEQUENCE IMRD_F.SQ_EN_TABL0120
  START WITH 1
  MAXVALUE 9999999999999999999999999999
  MINVALUE 0
  NOCYCLE
  NOCACHE
  NOORDER;

--criando indices
CREATE UNIQUE  INDEX IDX_EN_MRD120_MRC_INC ON IMRD_F.EN_MRD120(MRC_3445, INC_4080) TABLESPACE IMRD_FTBL;
CREATE UNIQUE  INDEX IDX_EN_MRD120_MRC_INC_FIIG ON IMRD_F.EN_MRD120(MRC_3445, INC_4080, FIIG_4065) TABLESPACE IMRD_FTBL;